Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class AbstractLogicalConsistency

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractElement
AbstractLogicalConsistency

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Element`, `LogicalConsistency`

Direct Known Subclasses:
  `DefaultConceptualConsistency`, `DefaultDomainConsistency`, `DefaultFormatConsistency`, `DefaultTopologicalConsistency`

public class AbstractLogicalConsistency extends AbstractElement implements LogicalConsistency
Degree of adherence to logical rules of data structure, attribution and relationships. Data structure can be conceptual, logical or physical. The following property is mandatory in a well-formed metadata according ISO 19157:
`DQ_LogicalConsistency` `└─result……………` Value obtained from applying a data quality measure.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractLogicalConsistency()`
  Constructs an initially empty logical consistency.
  `AbstractLogicalConsistency(LogicalConsistency object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractLogicalConsistency`
  `castOrCopy(LogicalConsistency object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.

  ### Methods inherited from class AbstractElement

  `castOrCopy, getDates, getDerivedElements, getEvaluationMethod, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getMeasureReference, getNamesOfMeasure, getResults, getStandaloneQualityReportDetails, setDates, setDerivedElements, setEvaluationMethod, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setMeasureReference, setNamesOfMeasure, setResults, setStandaloneQualityReportDetails`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Element

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- ## Constructor Details

  - ### AbstractLogicalConsistency

    public AbstractLogicalConsistency()
    Constructs an initially empty logical consistency.

  - ### AbstractLogicalConsistency

    public AbstractLogicalConsistency(LogicalConsistency object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(LogicalConsistency)`

- ## Method Details

  - ### castOrCopy

    public static AbstractLogicalConsistency castOrCopy(LogicalConsistency object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is an instance of `ConceptualConsistency`, `DomainConsistency`, `FormatConsistency` or `TopologicalConsistency`, then this method delegates to the `castOrCopy(…)` method of the corresponding SIS subclass. Note that if the given object implements more than one of the above-cited interfaces, then the `castOrCopy(…)` method to be used is unspecified.
    - Otherwise if the given object is already an instance of `AbstractLogicalConsistency`, then it is returned unchanged.
    - Otherwise a new `AbstractLogicalConsistency` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.